Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79898 - vim highlights bash scripts incorrectly
Summary: vim highlights bash scripts incorrectly
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: vim
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-17 21:36 UTC by Glen
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-12-19 11:55:25 UTC


Attachments (Terms of Use)

Description Glen 2002-12-17 21:36:52 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020809

Description of problem:
When editing a bash script with vim, if there is a statement like:

variable=$(/bin/date)

then the $( and the ) get highlighted like they are errors, even though they aren't.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Open a bash script with vim.
2.Add a statement using the $( and )
3.
    

Actual Results:  The $( and ) are highlighted as though they are errors.

Expected Results:  Same as the actual results.

Additional info:

Comment 1 Karsten Hopp 2002-12-18 10:30:47 UTC
Please change the first line of your shell script to '!#/bin/bash' instead of
'!#/bin/sh'. /bin/sh is a link and can point to any shell which might not
support the $(xxxx) command syntax. That's why vim shows this as an error.

Comment 2 Glen 2002-12-18 19:18:27 UTC
My scripts already say #!/bin/bash at the top.

Comment 3 Karsten Hopp 2002-12-19 11:55:25 UTC
Oh ;-(  
  
Well, it works with my version here which is the one from Rawhide.   
Please try the one from ftp://ftp.redhat.com/pub/redhat/linux/rawhide/ 
 


Note You need to log in before you can comment on or make changes to this bug.